data:extend({

  {
    type = "technology",
    name = "combat-units",
    icon = "__Combat_Units__/combat-robotics.png",
    icon_size = 128,
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "defender-unit-ammo"
      },
      {
        type = "unlock-recipe",
        recipe = "unit-launcher"
      },
      {
        type = "unlock-recipe",
        recipe = "unit-launcher-gun"
      }
    },
    prerequisites = {"military-2"},{"combat-robotics"},
    unit =
    {
      count = 150,
      ingredients = {
        {"science-pack-1", 1},
        {"science-pack-2", 1}
      },
      time = 30
    },
    order = "e-p-c"
  },
  {
    type = "technology",
    name = "combat-units-2",
    icon = "__Combat_Units__/combat-robotics.png",
    icon_size = 128,
    effects = {
      {
        type = "unlock-recipe",
        recipe = "distractor-unit-ammo"
      }
    },
    prerequisites = {"combat-units", "military-3"},
    unit = {
      count = 200,
      ingredients = {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1}
      },
      time = 30
    },
    order = "e-p-c-a"
  },
  {
    type = "technology",
    name = "combat-units-3",
    icon = "__Combat_Units__/combat-robotics.png",
    icon_size = 128,
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "destroyer-unit-ammo"
      }
    },
    prerequisites = {"combat-units-2", "speed-module"},
    unit =
    {
      count = 300,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
        {"alien-science-pack", 1}
      },
      time = 30
    },
    order = "e-p-c-b"
  },
})